summaryrefslogtreecommitdiffstats
path: root/source/ap/jed
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/jed')
-rwxr-xr-xsource/ap/jed/jed.SlackBuild96
-rw-r--r--source/ap/jed/jed.mouse.diff17
-rw-r--r--source/ap/jed/jed.multibyte.diff11
-rw-r--r--source/ap/jed/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/source/ap/jed/jed.SlackBuild b/source/ap/jed/jed.SlackBuild
new file mode 100755
index 000000000..68c851ff8
--- /dev/null
+++ b/source/ap/jed/jed.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=0.99-18
+PKGVER=0.99_18
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-3}
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-jed
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf jed-$VERSION
+tar xvf $CWD/jed-$VERSION.tar.bz2 || exit 1
+cd jed-$VERSION
+zcat $CWD/jed.mouse.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/jed.multibyte.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+JED_ROOT=/usr/share/jed \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-slang=/usr \
+ --build=$ARCH-slackware-linux
+
+make clean
+make all rgrep $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+cp src/objs/rgrep $PKG/usr/bin
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc
+( cd $PKG/usr/doc ; rm -f jed-$VERSION )
+( cd $PKG/usr/doc ; ln -sf /usr/share/jed jed-$VERSION )
+( cd $PKG/usr/share/jed
+ rm -rf info
+ ln -sf /usr/info info
+)
+
+gzip -9 $PKG/usr/man/man1/*
+
+cp -a COPYING COPYRIGHT INSTALL INSTALL.unx README changes.txt \
+ $PKG/usr/share/jed
+
+mkdir -p $PKG/usr/info
+for file in info/jed* ; do
+ cat $file | gzip -9c > $PKG/usr/$file.gz
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/jed-$PKGVER-$ARCH-$BUILD.txz
+
diff --git a/source/ap/jed/jed.mouse.diff b/source/ap/jed/jed.mouse.diff
new file mode 100644
index 000000000..4ff607169
--- /dev/null
+++ b/source/ap/jed/jed.mouse.diff
@@ -0,0 +1,17 @@
+--- ./src/Makefile.in.orig 2006-02-15 21:09:50.000000000 -0600
++++ ./src/Makefile.in 2006-06-25 23:10:19.000000000 -0500
+@@ -52,10 +52,10 @@
+ #---------------------------------------------------------------------------
+ # 1. Linux GPM Mouse support
+ # Uncomment next FOUR lines for GPM mouse support
+-#MOUSEFLAGS = -DUSE_GPM_MOUSE
+-#MOUSELIB = -lgpm
+-#GPMMOUSEO = gpmmouse.o
+-#OBJGPMMOUSEO = $(OBJDIR)/$(GPMMOUSEO)
++MOUSEFLAGS = -DUSE_GPM_MOUSE
++MOUSELIB = -lgpm
++GPMMOUSEO = gpmmouse.o
++OBJGPMMOUSEO = $(OBJDIR)/$(GPMMOUSEO)
+
+
+ # 2. XFree86 XRENDERFONT (Anti-aliased font) support for XJED
diff --git a/source/ap/jed/jed.multibyte.diff b/source/ap/jed/jed.multibyte.diff
new file mode 100644
index 000000000..266fece72
--- /dev/null
+++ b/source/ap/jed/jed.multibyte.diff
@@ -0,0 +1,11 @@
+--- ./src/misc.c.orig 2006-03-04 01:55:05.000000000 -0600
++++ ./src/misc.c 2006-06-25 23:14:32.000000000 -0500
+@@ -741,7 +741,7 @@
+
+ void jed_ungetkey_wchar (SLwchar_Type wc)
+ {
+- SLuchar_Type *b, buf[SLUTF8_MAX_MBLEN];
++ SLuchar_Type *b, buf[JED_MAX_MULTIBYTE_SIZE];
+
+ if (NULL == (b = jed_wchar_to_multibyte (wc, buf)))
+ return;
diff --git a/source/ap/jed/slack-desc b/source/ap/jed/slack-desc
new file mode 100644
index 000000000..8c7b15192
--- /dev/null
+++ b/source/ap/jed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jed: jed (programmer's editor)
+jed:
+jed: JED (by John E. Davis) is an extremely powerful but small emacs-like
+jed: programmer's editor that is extensible in a C-like macro language and
+jed: can do color syntax highlighting. Among the many features:
+jed: Emacs, wordstar, EDT emulation;
+jed: C, Fortran, TeX, text editing modes; Full undo;
+jed: GNU Emacs compatible info reader, and lots more.
+jed:
+jed: JED is also 8 bit clean, so you can even edit binary files!
+jed: